TypeScript
import { Kombo } from "@kombo-api/sdk";
const kombo = new Kombo({
integration_id: "workday:HWUTwvyx2wLoSUHphiWVrp28",
api_key: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await kombo.ats.getApplicationAttachments({
application_id: "8Xi6iZrwusZqJmDGXs49GBmJ",
});
console.log(result);
}
run();require 'kombo'
Models = ::Kombo::Models
s = ::Kombo::Kombo.new(
integration_id: 'workday:HWUTwvyx2wLoSUHphiWVrp28',
security: Models::Shared::Security.new(
api_key: '<YOUR_BEARER_TOKEN_HERE>'
)
)
res = s.ats.get_application_attachments(application_id: '8Xi6iZrwusZqJmDGXs49GBmJ')
unless res.get_ats_applications_application_id_attachments_positive_response.nil?
# handle response
endfrom kombo import Kombo
with Kombo(
integration_id="workday:HWUTwvyx2wLoSUHphiWVrp28",
api_key="<YOUR_BEARER_TOKEN_HERE>",
) as k_client:
res = k_client.ats.get_application_attachments(application_id="8Xi6iZrwusZqJmDGXs49GBmJ")
# Handle response
print(res)curl --request GET \
--url https://api.kombo.dev/v1/ats/applications/{application_id}/attachments \
--header 'Authorization: Bearer <token>' \
--header 'X-Integration-Id: <x-integration-id>'const options = {
method: 'GET',
headers: {'X-Integration-Id': '<x-integration-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.kombo.dev/v1/ats/applications/{application_id}/attachments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.kombo.dev/v1/ats/applications/{application_id}/attachments",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"X-Integration-Id: <x-integration-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.kombo.dev/v1/ats/applications/{application_id}/attachments"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Integration-Id", "<x-integration-id>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.kombo.dev/v1/ats/applications/{application_id}/attachments")
.header("X-Integration-Id", "<x-integration-id>")
.header("Authorization", "Bearer <token>")
.asString();{
"status": "success",
"data": {
"results": [
{
"type": "CV",
"id": "EYJjhMQT3LtVKXnTbnRT8s6U",
"remote_id": "GUzE666zfyjeoCJX6A8n7wh6",
"data_url": "https://resources.kombo.dev/7yZfKGzWigXxxRTygqAfHvyE",
"file_name": "Frank Doe CV.pdf",
"content_type": "application/x-pdf",
"remote_created_at": null,
"remote_updated_at": null
}
]
},
"warnings": [
{
"message": "This is an example warning!"
}
]
}Applications
Get application attachments
Get attachments from a candidate or application.
GET
/
ats
/
applications
/
{application_id}
/
attachments
TypeScript
import { Kombo } from "@kombo-api/sdk";
const kombo = new Kombo({
integration_id: "workday:HWUTwvyx2wLoSUHphiWVrp28",
api_key: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await kombo.ats.getApplicationAttachments({
application_id: "8Xi6iZrwusZqJmDGXs49GBmJ",
});
console.log(result);
}
run();require 'kombo'
Models = ::Kombo::Models
s = ::Kombo::Kombo.new(
integration_id: 'workday:HWUTwvyx2wLoSUHphiWVrp28',
security: Models::Shared::Security.new(
api_key: '<YOUR_BEARER_TOKEN_HERE>'
)
)
res = s.ats.get_application_attachments(application_id: '8Xi6iZrwusZqJmDGXs49GBmJ')
unless res.get_ats_applications_application_id_attachments_positive_response.nil?
# handle response
endfrom kombo import Kombo
with Kombo(
integration_id="workday:HWUTwvyx2wLoSUHphiWVrp28",
api_key="<YOUR_BEARER_TOKEN_HERE>",
) as k_client:
res = k_client.ats.get_application_attachments(application_id="8Xi6iZrwusZqJmDGXs49GBmJ")
# Handle response
print(res)Supported integrations
Supported integrations
This feature is currently available for the following integrations:
Workday
SAP SuccessFactors
SmartRecruiters
Oracle Recruiting Cloud
Lever
Cornerstone TalentLink
Tellent Recruitee
Atlas
Greenhouse (V1)
Greenhouse (V3)
Teamtailor
Ashby
CEGID TalentSoft Customer
Onlyfy
UKG Pro
Oracle Taleo
BambooHR
Bullhorn
Workable
Jobvite
Fountain
Pinpoint
Welcome to the Jungle
d.vinci admin
JOIN
Abacus Umantis
Haufe Umantis
Jobylon
OTYS
Zoho Recruit
Ceipal
Eploy
JobDiva
Recruit CRM
Carerix (GraphQL)
JobAdder
Zvoove Recruit
Odoo
Spark Hire Recruit
Gem
Coveto (REST API)
Manatal
Breezy HR
ReachMee
Kombo Sandbox
Logic Melon
Kula
TrackerRMS
Talent360
This endpoint requires the permission Read document attachments to be enabled in your scope config.
Authorizations
Headers
ID of the integration you want to interact with.
Path Parameters
The Kombo ID of the application you want to obtain attachments for.
Response
GET /ats/applications/:application_id/attachments Positive response
Allowed value:
"success"Show child attributes
Show child attributes
Example:
{
"results": [
{
"type": "CV",
"id": "EYJjhMQT3LtVKXnTbnRT8s6U",
"remote_id": "GUzE666zfyjeoCJX6A8n7wh6",
"data_url": "https://resources.kombo.dev/7yZfKGzWigXxxRTygqAfHvyE",
"file_name": "Frank Doe CV.pdf",
"content_type": "application/x-pdf",
"remote_created_at": null,
"remote_updated_at": null
}
]
}
These are the interaction warnings that are shown in the dashboard. They are meant to provide debug information to you. We recommend logging them to the console.
Show child attributes
Show child attributes
Was this page helpful?